MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029997Open CASCADE[OCCT] OCCT:Codingpublic2018-07-28 20:572018-08-04 17:09
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029997: Coding Rules - eliminate GCC compiler warnings -Wmaybe-uninitialized in Select3D_InteriorSensitivePointSet.cxx
DescriptionThe following GCC 7.3.0 warning should be eliminated:
/occt.git/src/Select3D/Select3D_InteriorSensitivePointSet.cxx|243|warning: ‘<anonymous>’ may 
be used uninitialized in this function [-Wmaybe-uninitialized]|
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0078165)
git (administrator)
2018-07-28 21:19

Branch CR29997 has been created by kgv.

SHA-1: b2cd58c4b0d882705948d8d009935b580cb07406


Detailed log of new commits:

Author: kgv
Date: Sat Jul 28 21:18:05 2018 +0300

    0029997: Coding Rules - eliminate GCC compiler warnings -Wmaybe-uninitialized in Select3D_InteriorSensitivePointSet.cxx
(0078166)
kgv (developer)
2018-07-28 21:25
edited on: 2018-07-29 00:12

Please take trivial patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29997-master-KGV/ [^]

(0078200)
bugmaster (administrator)
2018-07-30 17:35

Combination -
OCCT branch : CR29997 SHA - b2cd58c4b0d882705948d8d009935b580cb07406
Products branch : master SHA - 97b66d6e660c8b607e4ccc173c338a77607ffd43
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17582.419999999867 / 17494.89999999983 [+0.50%]
Products
Total CPU difference: 7404.46000000003 / 7448.560000000025 [-0.59%]
Windows-64-VC10:
OCCT
Total CPU difference: 17506.08901779845 / 17528.038358498525 [-0.13%]
Products
Total CPU difference: 8239.005613799884 / 8169.694369499867 [+0.85%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078385)
git (administrator)
2018-08-04 17:09

Branch CR29997 has been deleted by inv.

SHA-1: b2cd58c4b0d882705948d8d009935b580cb07406

- Related Changesets
occt: master 39b7b2a4
Timestamp: 2018-07-28 18:18:05
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029997: Coding Rules - eliminate GCC compiler warnings -Wmaybe-uninitialized in Select3D_InteriorSensitivePointSet.cxx
mod - src/Select3D/Select3D_InteriorSensitivePointSet.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-28 20:57 kgv New Issue
2018-07-28 20:57 kgv Assigned To => kgv
2018-07-28 21:19 git Note Added: 0078165
2018-07-28 21:25 kgv Note Added: 0078166
2018-07-28 21:25 kgv Assigned To kgv => bugmaster
2018-07-28 21:25 kgv Severity minor => trivial
2018-07-28 21:25 kgv Status new => resolved
2018-07-28 21:25 kgv Description Updated View Revisions
2018-07-28 21:25 kgv Status resolved => reviewed
2018-07-29 00:12 kgv Note Edited: 0078166 View Revisions
2018-07-30 17:35 bugmaster Test case number => Not needed
2018-07-30 17:35 bugmaster Note Added: 0078200
2018-07-30 17:35 bugmaster Status reviewed => tested
2018-08-04 16:51 bugmaster Changeset attached => occt master 39b7b2a4
2018-08-04 16:51 bugmaster Status tested => verified
2018-08-04 16:51 bugmaster Resolution open => fixed
2018-08-04 17:09 git Note Added: 0078385


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker